﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace TestApp
{
    /// <summary>
    /// App.xaml 的交互逻辑
    /// </summary>
    public partial class App : Application
    {
        ServiceSample svr;
        AppDomain domain = AppDomain.CreateDomain("sv");
        protected override void OnStartup(StartupEventArgs e)
        {
            Type t = typeof(ServiceSample);
            svr = (ServiceSample)domain.CreateInstanceAndUnwrap(t.Assembly.FullName, t.FullName);
            svr.RunService();
            base.OnStartup(e);
        }

        protected override void OnExit(ExitEventArgs e)
        {
            svr.Dispose();
            AppDomain.Unload(domain);
            base.OnExit(e);
        }
    }
}
